This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123979 - Lots of noise on sound output with snd-intel8x0, chipset SiS648 / 7012 / AC97)
Lots of noise on sound output with snd-intel8x0, chipset SiS648 / 7012 / AC97)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 06:10 EDT by Klaas de Waal
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Klaas de Waal 2004-05-22 06:10:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Lots of "clicking" noise on sound output. This is continuous.
It starts immediately when the snd-intel8x0 module is loaded.
When you play music, e.g. with "play test.wav" the music can be heard
although it almost drowns in the noise.

Sound is OK when running Redhat9.

Logging in with the graphical screen starts the noise.
If you log in with the console then there is no noise initially
(because the snd-intel8x0 modules is then not loaded yet). Noise
starts after loading the snd-intel8x0 or when playing music.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.log in
2.
3.
    

Actual Results:  Noise starts.
Also after some time an error message dialog box comes that says the
sound server will be disabled. The noise still continues afterwards.

Expected Results:  No noise.

Additional info:

The computers is a Dutch "Aldi" PC, built by Medion.
It has an MSI motherboard with an SiS648 chipset (P4, 2.6GHz)

=== last two lines of "dmesg" output:
intel8x0_measure_ac97_clock: measured 49641 usecs
intel8x0: clocking to 48000

=== snippet of "lspci -vvv" 
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
Sound Controller (rev a0)
        Subsystem: Micro-Star International Co., Ltd.: Unknown device 7010
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (13000ns min, 2750ns max)
        Interrupt: pin C routed to IRQ 3
        Region 0: I/O ports at e400
        Region 1: I/O ports at e800 [size=128]
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=55mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 1 Alan Cox 2004-05-22 11:25:46 EDT
If you start the mixer and turn down inputs one by one is the noise
coming from an input line (line in, mic, etc...) ?
Comment 2 Klaas de Waal 2004-05-22 14:53:40 EDT
With the KMix application, "Advanced" controls, either
- deselecting "IEC958 Input Monitor"  or
- deselecting "Surround Down Mix"
makes the noise disappear!
Only if both are "on" (green LED simulation) the noise is present.
The Microphone slider control on the "Input" pane does not have
any effect at all.
The Microphone slider control on the "Output" pane is at Max. and
cannot be moved at all (also it does not have a green LED simulation).
N.B. Thanks, this makes the system usable for me now.
Comment 3 Dave Jones 2005-04-16 02:12:26 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.